Loading...
Searching...
No Matches
ipv6_address.c File Reference

ietf-inet-types ipv6-address type plugin. More...

`#include "plugins_internal.h"`
`#include "plugins_types.h"`
`#include <arpa/inet.h>`
`#include <assert.h>`
`#include <ctype.h>`
`#include <errno.h>`
`#include <stdint.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "libyang.h"`
`#include "compat.h"`
`#include "ly_common.h"`
Include dependency graph for ipv6_address.c:

Go to the source code of this file.

## Macros

#define | _GNU_SOURCE /* strndup */

## Variables

const struct lyplg_type_record | plugins_ipv6_address []
| Plugin information for ipv6-address type implementation.

## Detailed Description

ietf-inet-types ipv6-address type plugin.

Author
  Michal Vasko mvask.nosp@m.o@ce.nosp@m.snet..nosp@m.cz

Copyright (c) 2019-2021 CESNET, z.s.p.o.

This source code is licensed under BSD 3-Clause License (the "License"). You may not use this file except in compliance with the License. You may obtain a copy of the License at

    https://opensource.org/licenses/BSD-3-Clause

Definition in file ipv6_address.c.

## Macro Definition Documentation

## _GNU_SOURCE

#define _GNU_SOURCE /* strndup */

Definition at line 15 of file ipv6_address.c.

## Variable Documentation

## plugins_ipv6_address

const struct lyplg_type_record plugins_ipv6_address[]

Initial value:
= {
{
.module = "ietf-inet-types",
.revision = "2013-07-15",
.name = "ipv6-address",
.plugin.id = "libyang 2 - ipv6-address, version 1",
.plugin.store = lyplg_type_store_ipv6_address,
.plugin.validate = NULL,
.plugin.compare = lyplg_type_compare_ipv6_address,
.plugin.sort = lyplg_type_sort_ipv6_address,
.plugin.print = lyplg_type_print_ipv6_address,
.plugin.duplicate = lyplg_type_dup_ipv6_address,
.plugin.free = lyplg_type_free_ipv6_address,
.plugin.lyb_data_len = -1,
},
{0}
}

Plugin information for ipv6-address type implementation.

Note that external plugins are supposed to use:

LYPLG_TYPES = {

Definition at line 389 of file ipv6_address.c.